commit:     a7f6efd5ca806e141c760fccb31e3b5a9b0aeeac
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 13 20:50:27 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec 13 20:52:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7f6efd5

sci-mathematics/z3: Run tests

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sci-mathematics/z3/z3-4.8.3.ebuild | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/sci-mathematics/z3/z3-4.8.3.ebuild 
b/sci-mathematics/z3/z3-4.8.3.ebuild
index ea65ed84b8a..7c82aaa652f 100644
--- a/sci-mathematics/z3/z3-4.8.3.ebuild
+++ b/sci-mathematics/z3/z3-4.8.3.ebuild
@@ -53,6 +53,13 @@ src_configure() {
        cmake-utils_src_configure
 }
 
+src_test() {
+       cmake-utils_src_make test-z3
+       set -- "${BUILD_DIR}"/test-z3 /a
+       echo "${@}" >&2
+       "${@}" || die
+}
+
 src_install() {
        local DOCS=( "README.md" "RELEASE_NOTES" )
        cmake-utils_src_install

Reply via email to